### Class

# Adw ClampLayout

since: 1

#### Description [src]

    final class Adw.ClampLayout : Gtk.LayoutManager
      implements Gtk.Orientable {
      /* No available fields */
    }

A layout manager constraining its children to a given size.

`AdwClampLayout` constraints the size of the widgets it contains to a given maximum size. It will constrain the width if it is horizontal, or the height if it is vertical. The expansion of the children from their minimum to their maximum size is eased out for a smooth transition.

If a child requires more than the requested maximum size, it will be allocated the minimum size it can fit in instead.

`AdwClampLayout` can scale with the text scale factor, use the `AdwClampLayout:unit` property to enable that behavior.

Available since: 1

#### Hierarchy

#### Ancestors

- GtkLayoutManager
- GObject

#### Implements

- GtkOrientable

#### Constructors

###### adw_clamp_layout_new

Creates a new `AdwClampLayout`.

since: 1

#### Instance methods

###### adw_clamp_layout_get_maximum_size

Gets the maximum size allocated to the children.

since: 1

###### adw_clamp_layout_get_tightening_threshold

Gets the size above which the children are clamped.

since: 1

###### adw_clamp_layout_get_unit

Gets the length unit for maximum size and tightening threshold.

since: 1.4

###### adw_clamp_layout_set_maximum_size

Sets the maximum size allocated to the children.

since: 1

###### adw_clamp_layout_set_tightening_threshold

Sets the size above which the children are clamped.

since: 1

###### adw_clamp_layout_set_unit

Sets the length unit for maximum size and tightening threshold.

since: 1.4

##### Methods inherited from GtkLayoutManager (6)

###### gtk_layout_manager_allocate

Assigns the given `width`, `height`, and `baseline` to a `widget`, and computes the position and sizes of the children of the `widget` using the layout management policy of `manager`.

unstable since: 4.0

###### gtk_layout_manager_get_layout_child

Retrieves a `GtkLayoutChild` instance for the `GtkLayoutManager`, creating one if necessary.

unstable since: 4.0

###### gtk_layout_manager_get_request_mode

Retrieves the request mode of `manager`.

unstable since: 4.0

###### gtk_layout_manager_get_widget

Retrieves the `GtkWidget` using the given `GtkLayoutManager`.

unstable since: 4.0

###### gtk_layout_manager_layout_changed

Queues a resize on the `GtkWidget` using `manager`, if any.

unstable since: 4.0

###### gtk_layout_manager_measure

Measures the size of the `widget` using `manager`, for the given `orientation` and size.

unstable since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GtkOrientable (2)

###### gtk_orientable_get_orientation

Retrieves the orientation of the `orientable`.

unstable since: 4.0

###### gtk_orientable_set_orientation

Sets the orientation of the `orientable`.

unstable since: 4.0

#### Properties

###### Adw.ClampLayout:maximum-size

The maximum size to allocate to the children.

since: 1

###### Adw.ClampLayout:tightening-threshold

The size above which the children are clamped.

since: 1

###### Adw.ClampLayout:unit

The length unit for maximum size and tightening threshold.

since: 1.4

##### Properties inherited from GtkOrientable (1)

###### Gtk.Orientable:orientation

The orientation of the orientable.

unstable since: 4.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct AdwClampLayoutClass {
      GtkLayoutManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkLayoutManagerClass`
  No description available.